﻿@model IEnumerable<CaseTecnicoWeb.Models.ViewModels.ArvoresViewModel>

@{
    ViewData["Title"] = "Index";
}

<h1>Listagem de arvores</h1>

<p>
    <a asp-action="Create">Cadastrar nova</a>
</p>
<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.ArvoresId)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Descricao)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Idade)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Especies.Descricao)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
@foreach (var item in Model) {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.ArvoresId)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Descricao)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Idade)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Especies.Descricao)
            </td>
            <td>
                @Html.ActionLink("Editar", "Edit", new { id=item.ArvoresId }) |
                @Html.ActionLink("Detalhar", "Details", new { id=item.ArvoresId }) |
                @Html.ActionLink("Deletar", "Delete", new { id=item.ArvoresId })
            </td>
        </tr>
}
    </tbody>
</table>
